/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JonasStarter.java 20819 2011-02-02 16:00:53Z benoitf $
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.autostart.jonasstarter;

import org.ow2.jonas.autostart.clistarter.CliStarter;
import org.ow2.jonas.autostart.guistarter.GuiStarter;

/**
 * Lauches the JOnAS AutoStart Starter client tool.
 * @author skabore
 */
public class JonasStarter {

    /**
     * Default constructor.
     */
    private JonasStarter() {
    }

    /**
     * The main function.
     * @param args the program arguments
     */
    public static void main(final String[] args) {
        if (args.length > 0) {
            if (args[0].equalsIgnoreCase("-gui") || args[0].equalsIgnoreCase("-reconf")) {
                new GuiStarter(JonasStarter.class.getProtectionDomain());
            } else {
                new CliStarter(JonasStarter.class.getProtectionDomain(), args);
            }
        } else {
            new CliStarter(JonasStarter.class.getProtectionDomain(), args);
        }
    }
}
